# coding: utf-8

"""
    VMware Aria Automation Pipelines APIs

    Aria Automation Pipelines is a continuous integration and continuous delivery (CICD) tool that you use to build Pipelines that model the software release process in your DevOps lifecycle. By creating Pipelines, you build the code infrastructure that delivers your software rapidly and continuously.  This page describes the RESTful APIs for Aria Automation Pipelines. The APIs facilitate CRUD operations on the various resources and entities used throughout Aria Automation Pipelines (Pipelines, Endpoints, Variables, etc.) and allow operations on them (executing a Pipeline, validating an Endpoint connection, etc.).  The APIs that list collections of resources  also support OData like implementation. Below query params can be used across Aria Automation Pipelines entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/codestream/api/endpoints?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/codestream/api/endpoints?$expand=true&$top=10&$skip=2```  3. `page` and `$size` - page used in conjunction with `$size` helps in pagination of resources.      ```/codestream/api/endpoints?$expand=true&page=0&$size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /codestream/api/endpoints?$filter=startswith(name, 'ABC')     /codestream/api/endpoints?$filter=toupper(name) eq 'ABCD-JENKINS'     /codestream/api/endpoints?$filter=substringof(%27bc%27,tolower(name))     /codestream/api/endpoints?$filter=name eq 'ABCD' and project eq 'demo'   # noqa: E501

    OpenAPI spec version: 2019-10-17
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class GerritManualTrigger1(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'change_id': 'str',
        'project': 'str',
        'trigger': 'str'
    }

    attribute_map = {
        'change_id': 'changeId',
        'project': 'project',
        'trigger': 'trigger'
    }

    def __init__(self, change_id=None, project=None, trigger=None):  # noqa: E501
        """GerritManualTrigger1 - a model defined in Swagger"""  # noqa: E501
        self._change_id = None
        self._project = None
        self._trigger = None
        self.discriminator = None
        self.change_id = change_id
        self.project = project
        self.trigger = trigger

    @property
    def change_id(self):
        """Gets the change_id of this GerritManualTrigger1.  # noqa: E501

        The ChangeSet Id corresponding to which the manual trigger has to be performed.  # noqa: E501

        :return: The change_id of this GerritManualTrigger1.  # noqa: E501
        :rtype: str
        """
        return self._change_id

    @change_id.setter
    def change_id(self, change_id):
        """Sets the change_id of this GerritManualTrigger1.

        The ChangeSet Id corresponding to which the manual trigger has to be performed.  # noqa: E501

        :param change_id: The change_id of this GerritManualTrigger1.  # noqa: E501
        :type: str
        """
        if change_id is None:
            raise ValueError("Invalid value for `change_id`, must not be `None`")  # noqa: E501

        self._change_id = change_id

    @property
    def project(self):
        """Gets the project of this GerritManualTrigger1.  # noqa: E501

        The tango project to which Gerrit Trigger belongs to.  # noqa: E501

        :return: The project of this GerritManualTrigger1.  # noqa: E501
        :rtype: str
        """
        return self._project

    @project.setter
    def project(self, project):
        """Sets the project of this GerritManualTrigger1.

        The tango project to which Gerrit Trigger belongs to.  # noqa: E501

        :param project: The project of this GerritManualTrigger1.  # noqa: E501
        :type: str
        """
        if project is None:
            raise ValueError("Invalid value for `project`, must not be `None`")  # noqa: E501

        self._project = project

    @property
    def trigger(self):
        """Gets the trigger of this GerritManualTrigger1.  # noqa: E501

        Name of the Gerrit Trigger for which event has to be analysed.  # noqa: E501

        :return: The trigger of this GerritManualTrigger1.  # noqa: E501
        :rtype: str
        """
        return self._trigger

    @trigger.setter
    def trigger(self, trigger):
        """Sets the trigger of this GerritManualTrigger1.

        Name of the Gerrit Trigger for which event has to be analysed.  # noqa: E501

        :param trigger: The trigger of this GerritManualTrigger1.  # noqa: E501
        :type: str
        """
        if trigger is None:
            raise ValueError("Invalid value for `trigger`, must not be `None`")  # noqa: E501

        self._trigger = trigger

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(GerritManualTrigger1, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, GerritManualTrigger1):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
